EXP10(3)

NAME
exp10, exp10f, exp10l - base-10 exponential function

SYNOPSIS
#define _GNU_SOURCE
#include <math.h>

double exp10(double x);
float exp10f(float x);
long double exp10l(long double x);

Link with -lm.

DESCRIPTION
The exp10() function returns the value of 10 raised to the power of x.

RETURN VALUE
On success, these functions return the base-10 exponential value of x. For various special cases, including the handling of infinity and NaN, as well as overflows and underflows, see exp(3).

ERRORS
See math_error(7) for information on how to determine whether an error has occurred when calling these functions. For a discussion of the errors that can occur for these functions, see exp(3).

VERSIONS
These functions first appeared in glibc in version 2.1.

CONFORMING TO
These functions are GNU extensions.

SEE ALSO
cbrt(3), exp(3), exp2(3), log10(3), sqrt(3), feature_test_macros(7)

COLOPHON
This page is part of release 3.24 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.